Skip to main content

Delete an Event

You can delete an existing Event through the Aptoide Connect Developer Console or programmatically via this API endpoint.

Endpoint

MethodURL
DELETEhttps://ws.catappult.io/api/events/{uid}

Authentication

To access this API, you need to have an active account subscription on Aptoide Connect and authenticate with an API key (check here how to generate one).

⚠️
Account type required

Events can only be created, edited, or deleted by accounts of type Developer.

Headers

HeaderTypeRequiredDescription
Api-KeystringRequiredUsed to authenticate your API requests. The value is your Aptoide Connect API key.

Path Parameters

ParameterTypeDescription
uidstringThe unique identifier (UUID) of the event to delete (e.g. 56fd535b-b071-402c-a4fa-29807eb050c9).

Example Request

curl -X DELETE "https://ws.catappult.io/api/events/56fd535b-b071-402c-a4fa-29807eb050c9" \
-H "Api-Key: <YOUR_API_KEY>"

Response

Success

If the API call returns an HTTP 200 status code, the request was successful and the event has been deleted.

Example Response

"Event deleted."